Skip to main content
Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/ZWatch Operations/Event Operations
GETEvent OperationsSince 2.3SynchronousAuth Required

GetEventData

GetEventData

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • startTimeLong

    Optional. The start time.

  • endTimeLong

    Optional. The end time.

  • limitInteger

    Optional. The maximum number of returned items.

  • offsetAheadOfCurrentTimeLong

    Optional. The offset (in milliseconds) between the query time and the current time. Note that the query time is earlier than the current time. For example, if you query messages collected in the last one hour, 3600000 (the offset) will be transferred to the system.

  • conditionsList

    Optional. The filter conditions.

Responses

200 OK

On success, this API returns the following response structure.

  • totalLongRequired

    The number of the events.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • eventsListRequired

    See events.

    • namespaceStringRequired

      The namespace.

    • nameStringRequired

      The event name.

    • labelsMapRequired

      The labels.

    • resourceIdStringRequired

      The UUID of the resource whose event was generated. If not null, the corresponding alarming messages for the associated resources are triggered.

    • resourceNameStringRequired

      The resource name.

    • errorStringRequired

      If the event means the error, this field is the details about the error.

      • codeStringRequired

        The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

      • descriptionStringRequired

        The brief description of the error.

      • detailsStringRequired

        The details about the error.

      • elaborationStringRequired

        The reserved field. Default value: null.

      • opaqueLinkedHashMapRequired

        The reserved field. Default value: null.

      • causeErrorCodeRequired

        The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

    • timelongRequired

      The time when the event was triggered.

    • dataUuidStringRequired

      The data UUID.

    • accountUuidStringRequired

      The account UUID.

    • emergencyLevelEmergencyLevelRequired

      See emergencyLevel.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

GET/zstack/v1/zwatch/events

/zstack/v1/zwatch/events

Operation ID

GetEventData

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/zwatch/events?startTime=1&endTime=1&limit=1&offsetAheadOfCurrentTime=1&conditions=<conditions>&count=True&endpointUuid=<endpointUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "events": [ { "namespace": "ZStack/VM", "name": "org.zstack.zwatch.datatype.EventFamily@2c24d960", "labels": {}, "emergencyLevel": "Normal", "resourceId": "b7bbe5fb9ab049c5a36bf8a646471cff", "resourceName": "VmInstanceVO", "time": 1.596444516324E12 } ] }

Change History

This API has no change history records yet.

View all change history